package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.AnchorApply;
import com.ruoyi.cai.dto.admin.vo.AnchorApplyAdminVo;
import com.ruoyi.cai.dto.app.vo.AnchorJoinHomeVo;
import com.ruoyi.common.core.domain.PageQuery;

/**
 * 播主申请管理Service接口
 *
 * @author 77
 * @date 2023-12-22
 */
public interface AnchorApplyService extends IService<AnchorApply> {

    AnchorApply getByUserId(Long userId);

    Page<AnchorApplyAdminVo> pageAdmin(PageQuery pageQuery, AnchorApplyAdminVo bo);

    AnchorJoinHomeVo joinHome(Long userId);

    boolean joinAnchor(Long userId);
}
